#!/bin/sh
# RUN IN REPO ROOT DIR !!

export IMAGE_NAME="git.pbiernat.dev/egommerce/api-gateway"
export BUILD_TIME=$(date +"%Y%m%d%H%M%S")

TARGET=${1:-latest}

echo "Building: $IMAGE_NAME:$TARGET"
if [ $TARGET = "dev" ]
then
    docker build --build-arg BUILD_TIME --rm --no-cache -t "$IMAGE_NAME:dev" . # >/dev/null 2>&1
else
    docker build --build-arg BUILD_TIME --rm --cache-from "$IMAGE_NAME:$TARGET" -t "$IMAGE_NAME:$TARGET" . >/dev/null 2>&1
fi

echo "Done."
